javax.websocket

## Interface Decoder

- All Known Subinterfaces:
    Decoder.Binary<T>, Decoder.BinaryStream<T>, Decoder.Text<T>, Decoder.TextStream<T>

      public interface Decoder

  The Decoder interface holds member interfaces that define how a developer can provide the web socket container a way web socket messages into developer defined custom objects. The websocket implementation creates a new instance of the decoder per endpoint instance per connection. The lifecycle of the Decoder instance is governed by the container calls to the `init(javax.websocket.EndpointConfig)` and `destroy()` methods.
  Author:
    dannycoward

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `Decoder.Binary<T>` This interface defines how a custom object (of type T) is decoded from a web socket message in the form of a byte buffer.
    `static interface` | `Decoder.BinaryStream<T>` This interface defines how a custom object is decoded from a web socket message in the form of a binary stream.
    `static interface` | `Decoder.Text<T>` This interface defines how a custom object is decoded from a web socket message in the form of a string.
    `static interface` | `Decoder.TextStream<T>` This interface defines how a custom object of type T is decoded from a web socket message in the form of a character stream.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` This method is called when the decoder is about to be removed from service in order that any resources the encoder used may be closed gracefully.
    `void` | `init(EndpointConfig config)` This method is called with the endpoint configuration object of the endpoint this decoder is intended for when it is about to be brought into service.

- - ### Method Detail

    - #### init

          void init(EndpointConfig config)

      This method is called with the endpoint configuration object of the endpoint this decoder is intended for when it is about to be brought into service.
      Parameters:
        `config` - the endpoint configuration object when being brought into service

    - #### destroy

          void destroy()

      This method is called when the decoder is about to be removed from service in order that any resources the encoder used may be closed gracefully.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.